/* 
 * sim_ether_i.h
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Revision: 1.9.1.1 $
 * $Date: 1994/10/27 22:30:50 $
 */

#define SIMOTTO_MAX_INSTANCES	5
#define MAX_OTTO_SIZE (EMAXPAK+sizeof(ETHhdr))

#define MAX_ERROR_COUNT 1000

#define RCVBUFSIZE 	50*1024		
#define EMAXPAK 	(MAX_OTTO_DATA_SZ + sizeof(ETHhdr))


typedef struct {
    char	*buf;
    int		len;
    int		sock;
} EthMsg;

typedef struct {
    Protl	arp;
    int		sock;
    int		port;
    ETHhost	myHost;
    int		errorCount;
} PState;

